//
//  HackXMLDocAppDelegate.m
//  HackXMLDoc
//
//  Created by Andrei Rotenstein on 03/02/10.
//  Copyright Andrei Rotenstein 2010. All rights reserved.
//

#import "HackXMLDocAppDelegate.h"
#import "RootViewController.h"


@implementation HackXMLDocAppDelegate

@synthesize window;
@synthesize tabBarController;
@synthesize theDataModel;


#pragma mark -
#pragma mark Application lifecycle

- (void)applicationDidFinishLaunching:(UIApplication *)application {    
  
    // Override point for customization after app launch    
	[self setTheDataModel:[[WaypointDataModel alloc] init]];
	/*
	if (UI_USER_INTERFACE_IDIOM() == UIUserInterfaceIdiomPad){
		
		// load your nib for iPad here which having view controler or navigation controller as well window.
	}else{  
		//load nib for iPhone. 
		
	}
	 */
    //This was the original which forced the app to remain in portrait and landscape.
		//[window addSubview:[tabBarController view]];
    
    //This gets rid of root view controller issue but is this the correct way to do this now?
    //problem with movie redraw if orientation changes in mid app, problem with status rotation when playback starts.
       [self.window setRootViewController:tabBarController];
    
        [window makeKeyAndVisible];
}


- (void)applicationWillTerminate:(UIApplication *)application {
	// Save data if appropriate
}

/*
 // Optional UITabBarControllerDelegate method
 - (void)tabBarController:(UITabBarController *)tabBarController didSelectViewController:(UIViewController *)viewController {
 }
 */

/*
 // Optional UITabBarControllerDelegate method
 - (void)tabBarController:(UITabBarController *)tabBarController didEndCustomizingViewControllers:(NSArray *)viewControllers changed:(BOOL)changed {
 }
 */



#pragma mark -
#pragma mark Memory management

- (void)dealloc {
	[tabBarController release];
	[window release];
	[super dealloc];
}


@end

