//
//  LocationItem.h
//  HackXMLDoc
//
//  Created by Andrei Rotenstein 03/02/10.
//  Copyright 2010 Andrei Rotenstein. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Foundation/NSURL.h>
#import <Foundation/NSValue.h>
#import <CoreLocation/CoreLocation.h>
#import <MapKit/MapKit.h>

@interface LocationItem : NSObject <MKAnnotation>  {
	NSString* description;
	CLLocationCoordinate2D coordinate;
	float radius;
	NSURL* mediaURL;
}

@property (nonatomic,retain) NSString* description;
@property (nonatomic) CLLocationCoordinate2D coordinate;
@property (nonatomic) float radius;
@property (nonatomic,retain) NSURL* mediaURL;

-(void) setLatitude:(float)degrees;
-(void) setLongitude:(float)degrees;
-(NSString*) title;
-(NSString*) subtitle;

@end
