//
//  WaypointDataModel.h
//  HackXMLDoc
//
//  Created by Andrei Rotenstein on 03/02/10.
//  Copyright 2010 Andrei Rotenstein. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "LocationItem.h"


@interface WaypointDataModel : NSObject {
	NSString* currentStringValue;
	NSString* currentSiteName;
	LocationItem* currentItem;
	
	NSMutableArray* locations;
}

@property (nonatomic,retain) NSString* currentStringValue;
@property (nonatomic,retain) NSString* currentSiteName;
@property (nonatomic,retain) LocationItem* currentItem;
@property (nonatomic,retain) NSMutableArray* locations;

- (LocationItem*) locationFromIndex:(NSUInteger)index;
- (int) count;
+ (WaypointDataModel*)sharedInstance;


@end

