//
//  LocationItem.m
//  HackXMLDoc
//
//  Created by Andrei Rotenstein on 03/02/10.
//  Copyright 2010 Andrei Rotenstein. All rights reserved.
//

#import "LocationItem.h"

@implementation LocationItem

@synthesize description;
@synthesize radius;
@synthesize mediaURL;
@synthesize coordinate;

-(NSString*) title {
	return [self description];
}

-(NSString*) subtitle {
	return [NSString stringWithFormat: @"Lat:%f Long:%f",coordinate.latitude,coordinate.longitude];
}

-(void) setLatitude:(float)degrees
{
	coordinate.latitude = degrees;
}

-(void) setLongitude:(float)degrees
{
	coordinate.longitude = degrees;
}

@end
